POS API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Menu Items
  • Introduction
  • Checks
    • List checks
      GET
    • Get check by ID
      GET
    • Create a new check
      POST
    • Add items to check
      POST
    • Add payment to check
      POST
    • Add discount to check
      POST
  • Customers
    • List customers
      GET
    • Create customer
      POST
    • Update customer
      PATCH
  • Menu Items
    • List menu items (v2)
      GET
    • Get menu item by ID
      GET
    • Create menu item
      POST
    • Update menu item
      PATCH
  • Employees
    • List employees
      GET
  • Properties
    • List properties
      GET
  • Reports
    • Get daily totals (v2)
      GET
  • Accounting
    • List enterprises
      GET
    • Get enterprise by ID
      GET
  • Schemas
    • Schemas
      • PaginationMeta
      • Translation
      • Metafield
      • Error
      • Check
      • Customer
      • CustomerSummary
      • CustomerAccountDetail
      • MenuItem
      • Employee
      • Property
      • Enterprise
      • RevenueCenter
      • Table
      • SalesChannel
      • Delivery
      • CheckServiceCharge
      • CheckSummary
      • CheckDiscount
      • CheckPayment
      • CheckItem
      • CheckItemSummary
      • CheckOffer
      • Tax
      • Item
      • Device
      • Tag
      • ItemDefinition
      • CondimentGroup
      • DailyTotals
      • CreateCheckRequest
      • CreateCheckItemRequest
      • AddCheckPaymentRequest
      • AddCheckDiscountRequest
      • CreateCustomerRequest
      • CustomerAddressRequest
      • CustomerInvoiceRequest
      • UpdateCustomerRequest
      • CreateMenuItemRequest
      • UpdateMenuItemRequest
  1. Menu Items

Get menu item by ID

Production
https://api.simpra.app
Production
https://api.simpra.app
GET
https://api.simpra.app
/v2/menu_items/{id}
Retrieve a specific menu item by its ID

Request

Authorization
Add parameter in header
Simpra-Access-Token
Example:
Simpra-Access-Token: ********************
Path Params

Header Params

Responses

🟢200OK
application/json
Successfully retrieved menu item
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.simpra.app/v2/menu_items/' \
--header 'Simpra-Access-Token: <api-key>' \
--header 'Content-Type: application\json'
Response Response Example
{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "active": true,
    "price": "string",
    "enterprise_id": "2dbe425a-b3bc-4170-8bae-9e5391aafea6",
    "created_at": 0,
    "updated_at": 0,
    "item_definitions": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "price": "string",
            "revenue_center_id": "3b274567-7234-4972-bc6c-e8795c241942"
        }
    ],
    "condiment_groups": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "selection_type": "string",
            "min_selection": 0,
            "max_selection": 0
        }
    ],
    "translations": [
        {
            "name": "string",
            "locale": "en"
        }
    ],
    "metafields": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "key": "string",
            "value": "string",
            "value_type": "string",
            "updated_at": 0
        }
    ]
}
Modified at 2025-09-10 09:28:46
Previous
List menu items (v2)
Next
Create menu item
Built with